Skip to main content
POST
Create a maintenance window

Monitoring modes

Choose how monitoring checks and alert notifications should behave during maintenance:
  • pause: Pauses all checks on attached monitors. No incidents are created, keeping your SLA and uptime metrics intact. Paused monitors are automatically resumed when the window ends.
  • mute: Keeps running checks in the background to record telemetry and latency data, but silences all alert notifications (e.g. Slack, email, SMS).
  • normal: Checks and alerts operate as usual, but the maintenance window is announced on connected status pages.

Timings & Format

  • starts_at: Must be formatted in ISO 8601 with minute precision (e.g. 2026-09-05T14:30:00Z). Seconds must be set to :00. Must be greater than or equal to the current time and within 1 year.
  • ends_at: Must be after starts_at and within 1 year.

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Body

application/json

Maintenance window request

title
string
required

Maintenance window title

Required string length: 1 - 250
Example:

"Database upgrade"

monitoring_mode
enum<string>
required

Monitoring mode during maintenance

Available options:
pause,
mute,
normal
starts_at
string<date-time>
required

Date and time when the maintenance window starts, with minute precision (seconds must be 00). Must be within the next year.

ends_at
string<date-time>
required

Date and time when the maintenance window ends, with minute precision (seconds must be 00). Must be after starts_at and within the next year.

monitors
integer[]
required

List of monitor IDs linked to the maintenance window

Required array length: 1 - 100 elements
Example:
description
string | null

Description of the maintenance window

Required string length: 1 - 2000
Example:

"Planned database upgrade and maintenance"

status_pages
integer[] | null

List of status page IDs linked to the maintenance window

Maximum array length: 100
Example:
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100

Response

Success, maintenance window created

monitoring_mode
enum<string>
required

Monitoring mode during maintenance

Available options:
pause,
mute,
normal
title
string
required

Maintenance window title

Required string length: 1 - 250
Example:

"Database upgrade"

starts_at
string<date-time>
required

Date and time when the maintenance window starts, with minute precision (seconds must be 00). Must be within the next year.

ends_at
string<date-time>
required

Date and time when the maintenance window ends, with minute precision (seconds must be 00). Must be after starts_at and within the next year.

monitors
integer[]
required

List of monitor IDs linked to the maintenance window

Required array length: 1 - 100 elements
Example:
id
integer

Maintenance window ID

Example:

1

project_id
integer

Parent project ID

Example:

1

state
enum<string>

Maintenance window state

Available options:
scheduled,
in_progress,
completed,
cancelled
description
string | null

Description of the maintenance window

Required string length: 1 - 2000
Example:

"Planned database upgrade and maintenance"

status_pages
integer[] | null

List of status page IDs linked to the maintenance window

Maximum array length: 100
Example:
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on September 4, 2026